ZMQ::FFI::Util(3pm)

NAME
ZMQ::FFI::Util - zmq convenience functions

VERSION
version 1.19

SYNOPSIS
    use ZMQ::FFI::Util q(zmq_soname zmq_version)

    my $soname = zmq_soname();
    my ($major, $minor, $patch) = zmq_version($soname);

FUNCTIONS

  zmq_soname([die => 0|1])
Tries to load "libzmq" by looking for platform-specific shared library file using FFI::CheckLib with a fallback to Alien::ZMQ::latest.

Returns the name of the first one that was successful or undef. If you would prefer exceptional behavior pass "die => 1"

  ($major, $minor, $patch) = zmq_version([$soname])
return the libzmq version as the list "($major, $minor, $patch)". $soname can either be a filename available in the ld cache or the path to a library file. If $soname is not specified it is resolved using "zmq_soname" above

If $soname cannot be resolved undef is returned

SEE ALSO

•   ZMQ::FFI

AUTHOR
Dylan Cali <calid1984@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2023 by Dylan Cali.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.